Commit ca4ec907 authored by Markus Koschany's avatar Markus Koschany

Add jna-4.4.0-compatibility.patch and fix FTBFS with JNA 4.4.0.

Thanks: Lucas Nussbaum for the report.
Closes: #868931
parent 48488cf1
From: Markus Koschany <apo@debian.org>
Date: Sun, 23 Jul 2017 14:44:17 +0200
Subject: jna 4.4.0 compatibility
Fix FTBFS with libjna-java 4.4.0.
Bug-Debian: https://bugs.debian.org/868931
Forwarded: no
---
.../src/org/netbeans/modules/keyring/gnome/GnomeKeyringLibrary.java | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/keyring.impl/src/org/netbeans/modules/keyring/gnome/GnomeKeyringLibrary.java b/keyring.impl/src/org/netbeans/modules/keyring/gnome/GnomeKeyringLibrary.java
index fb762af..77c6a81 100644
--- a/keyring.impl/src/org/netbeans/modules/keyring/gnome/GnomeKeyringLibrary.java
+++ b/keyring.impl/src/org/netbeans/modules/keyring/gnome/GnomeKeyringLibrary.java
@@ -69,7 +69,7 @@ public interface GnomeKeyringLibrary extends Library {
// http://packages.ubuntu.com/search?suite=precise&arch=any&mode=exactfilename&searchon=contents&keywords=libgnome-keyring.so.0
private static final String EXPLICIT_ONEIRIC = "/usr/lib/libgnome-keyring.so.0";
@SuppressWarnings("DMI_HARDCODED_ABSOLUTE_FILENAME")
- private static Object load(Map<?,?> options) {
+ private static Object load(Map<String,?> options) {
try {
return Native.loadLibrary(GENERIC, GnomeKeyringLibrary.class, options);
} catch (UnsatisfiedLinkError x) {
......@@ -33,3 +33,4 @@ netbeans-ide-launcher.patch
netbeans-xsl-httpserver.patch
netbeans-svnclientadapter.patch
netbeans-slf4j.dummy.patch
jna-4.4.0-compatibility.patch
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment